/*
imfplay
Copyright (c) 2014 Tom Grus

This software is provided 'as-is', without any express or implied warranty.
In no event will the authors be held liable for any damages arising from the
use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it freely,
subject to the following restrictions:

    1. The origin of this software must not be misrepresented; you must not
       claim that you wrote the original software. If you use this software
       in a product, an acknowledgment in the product documentation would be
       appreciated but is not required.

    2. Altered source versions must be plainly marked as such, and must not
       be misrepresented as being the original software.

    3. This notice may not be removed or altered from any source distribution.
*/

#define C_LOW		8		//low-intensity color
#define C_NORM	7		//normal color
#define C_HI		15	//highlight color
#define C_ACT		10	//active channel color
#define C_NACT	4		//inactive channel color

void puts_xy(char *text, unsigned char x, unsigned char y, unsigned char color);
void print_mute(int channel, int muted);
void print_cmd(unsigned char reg, unsigned char data);
void print_delay(unsigned short delay);
void print_rem_delay(unsigned short rem);
void draw_logo(int x, int y);
void screen_init(void);
void screen_restore(void);